Bug 220148 - [LFC][Integration] Enable inline box support (RenderInline)
Summary: [LFC][Integration] Enable inline box support (RenderInline)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on: 220735 222264 222269 224222
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-26 02:23 PST by zalan
Modified: 2021-04-06 06:55 PDT (History)
8 users (show)

See Also:


Attachments
Patch (2.66 KB, patch)
2020-12-26 02:27 PST, zalan
no flags Details | Formatted Diff | Diff
WIP (2.66 KB, patch)
2020-12-28 16:50 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (86.66 KB, patch)
2021-01-25 14:15 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (135.64 KB, patch)
2021-01-25 15:32 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (225.01 KB, patch)
2021-01-26 13:05 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (252.82 KB, patch)
2021-01-29 09:40 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (432.23 KB, patch)
2021-01-31 16:57 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (365.54 KB, patch)
2021-02-05 08:49 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (370.96 KB, patch)
2021-02-07 21:02 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (439.63 KB, patch)
2021-02-10 12:40 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (439.57 KB, patch)
2021-02-12 06:07 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (822.94 KB, patch)
2021-02-17 14:05 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (826.66 KB, patch)
2021-02-17 14:54 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (853.42 KB, patch)
2021-02-19 14:00 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (853.48 KB, patch)
2021-02-20 12:24 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (853.48 KB, patch)
2021-02-20 13:55 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (854.87 KB, patch)
2021-02-21 13:53 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (855.39 KB, patch)
2021-02-21 20:58 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (854.58 KB, patch)
2021-02-23 08:39 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (856.59 KB, patch)
2021-02-24 10:29 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (813.00 KB, patch)
2021-02-24 12:46 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (847.80 KB, patch)
2021-02-24 15:55 PST, zalan
no flags Details | Formatted Diff | Diff
Patch (847.75 KB, patch)
2021-02-25 09:48 PST, zalan
no flags Details | Formatted Diff | Diff
retest (847.75 KB, patch)
2021-03-31 02:56 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
restest (836.47 KB, patch)
2021-03-31 04:25 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
retest (836.86 KB, patch)
2021-03-31 05:36 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (859.80 KB, patch)
2021-04-05 19:38 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2020-12-26 02:23:24 PST
<span>enable this</span> <a href="lfc.html">and this</a>
Comment 1 zalan 2020-12-26 02:27:31 PST
Created attachment 416777 [details]
Patch
Comment 2 zalan 2020-12-28 16:50:52 PST
Created attachment 416834 [details]
WIP
Comment 3 Radar WebKit Bug Importer 2021-01-02 02:24:12 PST
<rdar://problem/72768785>
Comment 4 zalan 2021-01-25 14:15:31 PST
Created attachment 418336 [details]
Patch
Comment 5 zalan 2021-01-25 15:32:13 PST
Created attachment 418350 [details]
Patch
Comment 6 zalan 2021-01-26 13:05:49 PST
Created attachment 418469 [details]
Patch
Comment 7 zalan 2021-01-29 09:40:41 PST
Created attachment 418739 [details]
Patch
Comment 8 zalan 2021-01-31 16:57:09 PST
Created attachment 418834 [details]
Patch
Comment 9 zalan 2021-02-05 08:49:49 PST
Created attachment 419414 [details]
Patch
Comment 10 EWS Watchlist 2021-02-05 09:59:38 PST
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 11 zalan 2021-02-07 21:02:12 PST
Created attachment 419554 [details]
Patch
Comment 12 zalan 2021-02-10 12:40:01 PST
Created attachment 419890 [details]
Patch
Comment 13 zalan 2021-02-12 06:07:18 PST
Created attachment 420116 [details]
Patch
Comment 14 zalan 2021-02-17 14:05:47 PST
Created attachment 420709 [details]
Patch
Comment 15 zalan 2021-02-17 14:54:54 PST
Created attachment 420726 [details]
Patch
Comment 16 zalan 2021-02-19 14:00:02 PST
Created attachment 421029 [details]
Patch
Comment 17 zalan 2021-02-20 12:24:16 PST
Created attachment 421099 [details]
Patch
Comment 18 zalan 2021-02-20 13:55:06 PST
Created attachment 421111 [details]
Patch
Comment 19 zalan 2021-02-21 13:53:40 PST
Created attachment 421150 [details]
Patch
Comment 20 zalan 2021-02-21 20:58:16 PST
Created attachment 421166 [details]
Patch
Comment 21 zalan 2021-02-23 08:39:59 PST
Created attachment 421315 [details]
Patch
Comment 22 zalan 2021-02-24 10:29:14 PST
Created attachment 421425 [details]
Patch
Comment 23 zalan 2021-02-24 12:46:10 PST
Created attachment 421442 [details]
Patch
Comment 24 zalan 2021-02-24 15:55:27 PST
Created attachment 421476 [details]
Patch
Comment 25 zalan 2021-02-25 09:48:00 PST
Created attachment 421535 [details]
Patch
Comment 26 Antti Koivisto 2021-03-31 02:56:18 PDT
Created attachment 424749 [details]
retest
Comment 27 Antti Koivisto 2021-03-31 04:25:59 PDT
Created attachment 424756 [details]
restest
Comment 28 Antti Koivisto 2021-03-31 05:36:24 PDT
Created attachment 424759 [details]
retest
Comment 29 zalan 2021-04-05 19:38:29 PDT
Created attachment 425233 [details]
Patch
Comment 30 EWS 2021-04-06 06:55:42 PDT
Committed r275515: <https://commits.webkit.org/r275515>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425233 [details].